forums.PPSSPP.org
PPSSPP Mac not work - Printable Version

+- forums.PPSSPP.org (https://forums.ppsspp.org)
+-- Forum: PPSSPP - Playstation Portable Simulator Suitable for Playing Portably (/forumdisplay.php?fid=1)
+--- Forum: Development (/forumdisplay.php?fid=3)
+--- Thread: PPSSPP Mac not work (/showthread.php?tid=23992)



PPSSPP Mac not work - haibaraai - 02-07-2018 02:36 AM

Code:
Dyld Error Message:
  Library not loaded: /usr/local/opt/libzip/lib/libzip.5.dylib
  Referenced from: /Users/USER/Downloads/*/PPSSPPSDL.app/Contents/MacOS/PPSSPPSDL
  Reason: Incompatible library version: PPSSPPSDL requires version 6.0.0 or later, but libzip.5.dylib provides version 5.0.0


i check my homebrew,and libzip has already update



RE: PPSSPP Mac not work - Asferot - 02-07-2018 05:03 AM

Post it on official bugtracker for more visibility. https://github.com/hrydgard/ppsspp/issues


RE: PPSSPP Mac not work - Diamondog - 02-07-2018 02:14 PM

I'm getting the same error. It started happening after I updated homebrew (updated libzip to 1.4.0). I was using the PPSSPP v1.5.4-387 build before and after updating homebrew. Something is wrong and PPSSPP doesn't work well with the new version of libzip.


RE: PPSSPP Mac not work - Asferot - 02-07-2018 04:17 PM

Please read comment above you? Report it on official bugtracker. Please.


RE: PPSSPP Mac not work - Henrik - 02-08-2018 05:22 PM

New versions of PPSSPP will work. No idea what went wrong with libzip here, but from now on we're using the internal version of libzip by default.


RE: PPSSPP Mac not work - [Unknown] - 02-11-2018 04:19 AM

Henrik, the reason is that the buildbot dynamically linked libzip, but just to whatever version the buildbot has installed. But since ppsspp isn't tracked via brew or anything, there's no way for brew to know something depends on the old dynamic library.

Anyway, yeah, static linking is the simple solution.

-[Unknown]


RE: PPSSPP Mac not work - Henrik - 02-12-2018 12:52 PM

Ah, of course... Thanks for explaining.